<?php
/**
 * Clase Base Bean para BaseCrCierrehipotecaCBN
 *
 * @package    Sedapal
 * @subpackage BaseCrCierrehipotecaCBN
 * @author     Willy
 * @version    SVN:: BaseCrCierrehipotecaCBN.class.php,v 1.1 2013-02-06 12:21:42 william.taype Exp $
 */
abstract class BaseCrCierrehipotecaCBN
{
  protected $Idsucursal;
  protected $Fecha;
  protected $Nombresucursal;
  protected $Nombreadministrador;
  protected $Ingresototal;
  protected $Salidatotal;
  protected $Saldototal;
  protected $Observacion;
  protected $Fecharegistro;
  protected $Usuarioregistro;
  protected $Idcolaborador;
  protected $Mensaje;
  protected $Error;

  public function getIdsucursal(){
    return $this->Idsucursal;
  }
  public function setIdsucursal($v1){
    $this->Idsucursal = $v1; 
  }

  public function getFecha(){
    return $this->Fecha;
  }
  public function setFecha($v1){
    $this->Fecha = $v1; 
  }

  public function getNombresucursal(){
    return $this->Nombresucursal;
  }
  public function setNombresucursal($v1){
    $this->Nombresucursal = $v1; 
  }

  public function getNombreadministrador(){
    return $this->Nombreadministrador;
  }
  public function setNombreadministrador($v1){
    $this->Nombreadministrador = $v1; 
  }

  public function getIngresototal(){
    return $this->Ingresototal;
  }
  public function setIngresototal($v1){
    $this->Ingresototal = $v1; 
  }
  
  public function getIngresototalga(){
    return $this->ingresototalga;
  }
  public function setIngresototalga($v1){
    $this->ingresototalga = $v1; 
  }
  
  public function getIngresototalDeposito(){
    return $this->IngresototalDeposito;
  }
  public function setIngresototalDeposito($v1){
    $this->IngresototalDeposito = $v1; 
  }

  public function getSalidatotal(){
    return $this->Salidatotal;
  }
  public function setSalidatotal($v1){
    $this->Salidatotal = $v1; 
  }

  public function getSaldototal(){
    return $this->Saldototal;
  }
  public function setSaldototal($v1){
    $this->Saldototal = $v1; 
  }

  public function getObservacion(){
    return $this->Observacion;
  }
  public function setObservacion($v1){
    $this->Observacion = $v1; 
  }

  public function getFecharegistro(){
    return $this->Fecharegistro;
  }
  public function setFecharegistro($v1){
    $this->Fecharegistro = $v1; 
  }

  public function getUsuarioregistro(){
    return $this->Usuarioregistro;
  }
  public function setUsuarioregistro($v1){
    $this->Usuarioregistro = $v1; 
  }

  public function getIdcolaborador(){
    return $this->Idcolaborador;
  }
  public function setIdcolaborador($v1){
    $this->Idcolaborador = $v1; 
  }

  public function getMensaje(){
    return $this->Mensaje;
  }
  public function setMensaje($vl){
    $this->Mensaje = $vl;
  }

  public function getError(){
    return $this->Error;
  }
  public function setError($vl){
    $this->Error = $vl;
  }

  /* Recupera un objeto Cr_cierrehipoteca_cBN desde un RecordSet */
  public static function retrieveByRs( $o_Cr_cierrehipoteca_cRs )
  {
    $o_CrCierrehipotecaCBN = new CrCierrehipotecaCBN();
    $o_CrCierrehipotecaCBN->setIdsucursal( $o_Cr_cierrehipoteca_cRs['idsucursal'] );
    $o_CrCierrehipotecaCBN->setFecha( $o_Cr_cierrehipoteca_cRs['fecha'] );
    $o_CrCierrehipotecaCBN->setNombresucursal( $o_Cr_cierrehipoteca_cRs['nombresucursal'] );
    $o_CrCierrehipotecaCBN->setNombreadministrador( $o_Cr_cierrehipoteca_cRs['nombreadministrador'] );
    $o_CrCierrehipotecaCBN->setIngresototal( $o_Cr_cierrehipoteca_cRs['ingresototal'] );
    $o_CrCierrehipotecaCBN->setSalidatotal( $o_Cr_cierrehipoteca_cRs['salidatotal'] );
    $o_CrCierrehipotecaCBN->setSaldototal( $o_Cr_cierrehipoteca_cRs['saldototal'] );
    $o_CrCierrehipotecaCBN->setObservacion( $o_Cr_cierrehipoteca_cRs['observacion'] );
    $o_CrCierrehipotecaCBN->setFecharegistro( $o_Cr_cierrehipoteca_cRs['fecharegistro'] );
    $o_CrCierrehipotecaCBN->setUsuarioregistro( $o_Cr_cierrehipoteca_cRs['usuarioregistro'] );
    $o_CrCierrehipotecaCBN->setIdcolaborador( $o_Cr_cierrehipoteca_cRs['idcolaborador'] );
    return $o_CrCierrehipotecaCBN;
  }
}